Name:           python-dt
Version:        1.1.73
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Dynatrace API Python client

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dynatrace-oss/api-client-python
Source:         %{pypi_source dt}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dt' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dt
Summary:        %{summary}

%description -n python3-dt %_description


%prep
%autosetup -p1 -n dt-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dt -f %{pyproject_files}


%changelog
%autochangelog